CVE-2006-2076
CVSS5.0
发布时间 :2006-04-27 18:03:00
修订时间 :2011-03-07 21:35:11
NMCOS    

[原文]Memory leak in Paul Rombouts pdnsd before 1.2.4 allows remote attackers to cause a denial of service (memory consumption) via a DNS query with an unsupported (1) QTYPE or (2) QCLASS, as demonstrated by the OUSPG PROTOS DNS test suite.


[CNNVD]PDNSD DNS查询拒绝服务漏洞(CNNVD-200604-530)

        pdnsd是由Thomas Moestl编写的代理DNS服务器。
        pdnsd对查询的处理上在拒绝服务漏洞,远程攻击者可能利用此漏洞导致服务器进程崩溃。
        OUSPG为DNS实现所开发的PROTOS DNS测试组件在测试中发现如果向pdnsd发送带有非支持QTYPE或QCLASS的DNS查询的话,就会导致pdnsd泄漏内存。这样pdnsd所使用的内存会逐渐增多,最终导致崩溃或系统变得没有响应。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:pdnsd:pdnsd:1.1.8b1_par5
cpe:/a:pdnsd:pdnsd:1.1.6
cpe:/a:pdnsd:pdnsd:1.0.15
cpe:/a:pdnsd:pdnsd:1.1.5
cpe:/a:pdnsd:pdnsd:1.1.4
cpe:/a:pdnsd:pdnsd:1.1.11_par
cpe:/a:pdnsd:pdnsd:1.2.2_par
cpe:/a:pdnsd:pdnsd:1.2.1_par
cpe:/a:pdnsd:pdnsd:1.1.2
cpe:/a:pdnsd:pdnsd:1.1.8b1_par6
cpe:/a:pdnsd:pdnsd:1.1
cpe:/a:pdnsd:pdnsd:1.0.13
cpe:/a:pdnsd:pdnsd:1.1.10_par
cpe:/a:pdnsd:pdnsd:1.2.3_par
cpe:/a:pdnsd:pdnsd:1.1.3
cpe:/a:pdnsd:pdnsd:1.1.8b1_par8
cpe:/a:pdnsd:pdnsd:1.1.1
cpe:/a:pdnsd:pdnsd:1.1.7a

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2076
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2076
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-530
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/955777
(UNKNOWN)  CERT-VN  VU#955777
http://www.securityfocus.com/bid/17694
(PATCH)  BID  17694
http://securitytracker.com/id?1015989
(PATCH)  SECTRACK  1015989
http://www.vupen.com/english/advisories/2006/1528
(UNKNOWN)  VUPEN  ADV-2006-1528
http://www.vupen.com/english/advisories/2006/1505
(UNKNOWN)  VUPEN  ADV-2006-1505
http://www.phys.uu.nl/~rombouts/pdnsd.html
(UNKNOWN)  CONFIRM  http://www.phys.uu.nl/~rombouts/pdnsd.html
http://www.niscc.gov.uk/niscc/docs/re-20060425-00312.pdf?lang=en
(VENDOR_ADVISORY)  MISC  http://www.niscc.gov.uk/niscc/docs/re-20060425-00312.pdf?lang=en
http://www.niscc.gov.uk/niscc/docs/br-20060425-00311.html?lang=en
(VENDOR_ADVISORY)  MISC  http://www.niscc.gov.uk/niscc/docs/br-20060425-00311.html?lang=en
http://xforce.iss.net/xforce/xfdb/26081
(UNKNOWN)  XF  dns-improper-request-handling(26081)
http://www.gentoo.org/security/en/glsa/glsa-200605-10.xml
(UNKNOWN)  GENTOO  GLSA-200605-10
http://secunia.com/advisories/20055
(UNKNOWN)  SECUNIA  20055
http://secunia.com/advisories/19835
(UNKNOWN)  SECUNIA  19835

- 漏洞信息

PDNSD DNS查询拒绝服务漏洞
中危 设计错误
2006-04-27 00:00:00 2006-04-28 00:00:00
远程  
        pdnsd是由Thomas Moestl编写的代理DNS服务器。
        pdnsd对查询的处理上在拒绝服务漏洞,远程攻击者可能利用此漏洞导致服务器进程崩溃。
        OUSPG为DNS实现所开发的PROTOS DNS测试组件在测试中发现如果向pdnsd发送带有非支持QTYPE或QCLASS的DNS查询的话,就会导致pdnsd泄漏内存。这样pdnsd所使用的内存会逐渐增多,最终导致崩溃或系统变得没有响应。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        http://www.phys.uu.nl/~rombouts/pdnsd.html

- 漏洞信息

57052
pdnsd Crafted DNS Query Handling Remote DoS
Remote / Network Access Denial of Service, Input Manipulation
Loss of Availability Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2006-04-25 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.2.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Paul A. Rombouts PDNSD DNS Query Denial Of Service Vulnerability
Design Error 17694
Yes No
2006-04-25 12:00:00 2006-05-10 11:04:00
This issue was discovered by the PROTOS DNS Test Suite, which was developed by the Oulu University Secure Programming Group (OUSPG).

- 受影响的程序版本

pdnsd pdnsd 1.2.3 -par
pdnsd pdnsd 1.2.2 -par
pdnsd pdnsd 1.2.1 -par
pdnsd pdnsd 1.1.11 -par
pdnsd pdnsd 1.1.10 -par
pdnsd pdnsd 1.1.8 b1-par8
pdnsd pdnsd 1.1.8 b1-par6
pdnsd pdnsd 1.1.8 b1-par5
pdnsd pdnsd 1.1.7 a
pdnsd pdnsd 1.1.6
pdnsd pdnsd 1.1.5
pdnsd pdnsd 1.1.4
pdnsd pdnsd 1.1.3
pdnsd pdnsd 1.1.2
pdnsd pdnsd 1.1.1
pdnsd pdnsd 1.1
pdnsd pdnsd 1.0.15
pdnsd pdnsd 1.0.13
Gentoo Linux
pdnsd pdnsd 1.2.4 -par

- 不受影响的程序版本

pdnsd pdnsd 1.2.4 -par

- 漏洞讨论

The pdnsd DNS server is prone to a remote denial-of-service vulnerability. This issue is due to a failure in the application to properly handle DNS queries.

An attacker can exploit this issue to consume excessive memory, and then to crash the affected service, effectively denying service to legitimate users.

The vendor has addressed this issue in version 1.2.4-par; earlier versions are reportedly vulnerable.

- 漏洞利用

The PROTOS DNS Test Suite, which was developed by the Oulu University Secure Programming Group (OUSPG), may be used to trigger this issue.

- 解决方案


The vendor has released version 1.2.4-par to address this issue.

Please see the referenced vendor advisories for more information and fixes.


pdnsd pdnsd 1.1.5

pdnsd pdnsd 1.1.6

pdnsd pdnsd 1.1.7 a

pdnsd pdnsd 1.1.8 b1-par8

pdnsd pdnsd 1.1.8 b1-par6

pdnsd pdnsd 1.1.8 b1-par5

pdnsd pdnsd 1.2.1 -par

pdnsd pdnsd 1.2.2 -par

pdnsd pdnsd 1.2.3 -par

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站